Bug 61932 - kernel 2.4.7-10 and 2.4.9-31 leak 8k memory per 5 seconds
kernel 2.4.7-10 and 2.4.9-31 leak 8k memory per 5 seconds
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-25 20:07 EST by Randy Ellis
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Ellis 2002-03-25 20:07:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
I boot.  Wait a while (3hrs-16hrs) and system freezes, totally unresponsive.
I have to press reset button.

I have watched and determined that memory is being exausted.  I watch with
free() and
top() and see memory buffers grow by 8K per 5 seconds.  I can't see any program
growing in size, so I attribute the growth to a kernel leak.


Originally, I saw the problem on RH7.2 with 2.4.7-10 kernel.  

After reading other bugs, I decided that upgrading to the 2.4.9-31 kernel would
be wise.  Supposedly fixes some i810 sound card errors ( I have one of these).

Since upgrading to kernel 2.4.9-31 I have not seen the system lock up, however,
I
keep a constant vigil on the free memory and boot the system often to avoid
lockup.  This is by no means a blessing of 2.4.9-31.  I still see the memory
buffers grow 
by 8K per 5 seconds.


Is there anything that I can do to help isolate the problem?  Am I maybe
mis-intrepreting
the free() and top() output.  I noticed that a lot of discussion has been
generated
concerning the meaning and accuracy of these programs.

I'm not sure how to decode the /proc/slabinfo information.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot up
2.wait
3.watch buffers grow by 8k
4.right before systems hangs (last 10 secs of life), the system gets real slow
5.system hangs.
	

Additional info:

While running the 2.4-7-10 kernel, the artsd would peg the cpu when I entered
KDE.

I guess that I should add, that I have never gotten the sound to work on this
computer.

I'm running ipchains rules that ran fine in a RH 6.2 installation.

I read that the i810 sound card has caused problems in the past, so I have
diabled the card in the BIOS, but this did not help, the 2.4.7-10 kernel still
freezes.

On one occasion, I saw xinit grow to 622M and hang the system.  I've never seen
that since, and guess, it was a fluke.
Comment 1 Randy Ellis 2002-04-05 21:55:20 EST
After running 2.4.0-31 for a week now.  I can say without a doubt, that it is
still leaking memory.
The system self terminates processes, and causes the system to hang.  The hang
usually occursin less than 24 hours.  Basically, 1-2 hangs per 24 hour period.

I notice that the leak continues, until I see these type of lines in
/var/log/messages:

Apr  3 22:50:31 actc4 kernel: Out of Memory: Killed process 28676 (httpd).
Apr  3 22:50:46 actc4 kernel: Out of Memory: Killed process 32687 (httpd).
Apr  3 22:50:49 actc4 kernel: Out of Memory: Killed process 12086 (httpd).
Apr  3 22:50:55 actc4 kernel: Out of Memory: Killed process 14122 (httpd).
Apr  3 22:50:56 actc4 kernel: Out of Memory: Killed process 14123 (httpd).
Apr  3 22:51:46 actc4 kernel: Out of Memory: Killed process 14124 (httpd).
Apr  3 22:52:19 actc4 kernel: Out of Memory: Killed process 14125 (httpd).
Apr  3 22:52:25 actc4 kernel: Out of Memory: Killed process 14126 (httpd).
Apr  3 22:52:29 actc4 kernel: Out of Memory: Killed process 14127 (httpd).
Apr  3 22:53:19 actc4 kernel: Out of Memory: Killed process 14128 (httpd).
Apr  3 22:53:28 actc4 kernel: Out of Memory: Killed process 14129 (httpd).
Apr  3 22:53:32 actc4 kernel: Out of Memory: Killed process 1184 (mysqld).
Apr  3 22:53:32 actc4 kernel: Out of Memory: Killed process 1187 (mysqld).
[snip]

I'm very frustrated.  I'm wondering if it's due to the HW configuration I have.
Did I mention that I'm also running SW raid1.

I would like to know if there is something I could try to help get around this
problem?
A newer kernel perhaps.  Maybe an older kernel?  Some tools I could run to help
isolate the problem?

Comment 2 Arjan van de Ven 2002-04-06 03:37:50 EST
Can you run "top" for a while with the "M" option (eg type shift M while it's
running). That will show applications sorted by memory use. Would it be possible
to paste one screen here (or as attachment) ?

Also what modules are you using (lsmod will tell you) ?
Comment 3 Randy Ellis 2002-04-13 15:46:25 EDT
I'm still getting the 'Out of Memory...killing' messages and the systems hangs
at random times.  The "Out of Memory" message doesn't always accompany the
hang.

I've attached the info you requested.  I hope it helps.  Let me know what else
I can do.


Here' lsmod:

[root@actc4 root]# lsmod
Module                  Size  Used by    Not tainted
soundcore               4452   0  (autoclean)
i810                   65848   1
agpgart                27456   7  (autoclean)
ipchains               39592   3
8139too                13120   1
eepro100               17680   1
usb-uhci               21668   0  (unused)
usbcore                51808   1  [usb-uhci]
ext3                   62624   7
jbd                    41092   7  [ext3]
raid1                  13028   8
[root@actc4 root]#

I also see these errors in /var/log/messages:
Apr 13 09:51:50 actc4 xfs: ignoring font path element
/usr/X11R6/lib/X11/fonts/cyrillic (unreadable)
Apr 13 09:51:50 actc4 xfs: ignoring font path element
/usr/X11R6/lib/X11/fonts/local (unreadable)
Apr 13 09:51:58 actc4 login(pam_unix)[1347]: session opened for user root by
LOGIN(uid=0)
Apr 13 09:51:58 actc4  -- root[1347]: ROOT LOGIN ON tty1
Apr 13 09:52:05 actc4 kernel: Linux agpgart interface v0.99 (c) Jeff Hartmann
Apr 13 09:52:05 actc4 kernel: agpgart: Maximum main memory to use for agp
memory: 202M
Apr 13 09:52:05 actc4 kernel: agpgart: agpgart: Detected an Intel i815 Chipset.
Apr 13 09:52:05 actc4 kernel: agpgart: AGP aperture is 64M @ 0xf8000000
Apr 13 09:52:05 actc4 modprobe: modprobe: Can't locate module char-major-226
Apr 13 09:52:05 actc4 modprobe: modprobe: Can't locate module char-major-226
Apr 13 09:52:05 actc4 kernel: [drm] AGP 0.99 on Intel i810 @ 0xf8000000 64MB
Apr 13 09:52:05 actc4 kernel: [drm] Initialized i810 1.1.0 20010616 on minor 0
Apr 13 09:52:05 actc4 kernel: mtrr: base(0xf8000000) is not aligned on a
size(0x180000) boundary
Apr 13 09:52:18 actc4 kernel: Intel 810 + AC97 Audio, version 0.21, 07:16:09 Feb
26 2002
Apr 13 09:52:18 actc4 insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/i810_audio.o: init_module: No such
device
Apr 13 09:52:18 actc4 insmod: Hint: insmod errors can be caused by incorrect
module parameters, including invalid IO or IRQ parameters
Apr 13 09:52:18 actc4 insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/i810_audio.o: insmod sound-slot-0
failed
Apr 13 09:52:18 actc4 modprobe: modprobe: Can't locate module sound-service-0-0
Apr 13 09:52:18 actc4 kernel: Intel 810 + AC97 Audio, version 0.21, 07:16:09 Feb
26 2002
Apr 13 09:52:18 actc4 insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/i810_audio.o: init_module: No such
device
Apr 13 09:52:18 actc4 insmod: Hint: insmod errors can be caused by incorrect
module parameters, including invalid IO or IRQ parameters
Apr 13 09:52:18 actc4 insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/i810_audio.o: insmod sound-slot-0
failed
Apr 13 09:52:18 actc4 modprobe: modprobe: Can't locate module sound-service-0-0
Apr 13 09:52:18 actc4 modprobe: modprobe: Can't locate module sound-slot-1
Apr 13 09:52:18 actc4 modprobe: modprobe: Can't locate module sound-service-1-0
Apr 13 09:52:19 actc4 modprobe: modprobe: Can't locate module sound-slot-1
Apr 13 09:52:19 actc4 modprobe: modprobe: Can't locate module sound-service-1-0
Apr 13 09:52:19 actc4 insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/i810_audio.o: init_module: No such
device
Apr 13 09:52:19 actc4 insmod: Hint: insmod errors can be caused by incorrect
module parameters, including invalid IO or IRQ parameters
Apr 13 09:52:19 actc4 insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/i810_audio.o: insmod sound-slot-0
failed
Apr 13 09:52:19 actc4 modprobe: modprobe: Can't locate module sound-service-0-3
Apr 13 09:52:19 actc4 kernel: Intel 810 + AC97 Audio, version 0.21, 07:16:09 Feb
26 2002
Apr 13 09:59:18 actc4 kernel: Intel 810 + AC97 Audio, version 0.21, 07:16:09 Feb
26 2002
Apr 13 09:59:18 actc4 insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/i810_audio.o: init_module: No such
device
Apr 13 09:59:18 actc4 insmod: Hint: insmod errors can be caused by incorrect
module parameters, including invalid IO or IRQ parameters
Apr 13 09:59:18 actc4 insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/i810_audio.o: insmod sound-slot-0
failed
Apr 13 09:59:18 actc4 modprobe: modprobe: Can't locate module sound-service-0-3
Apr 13 10:00:00 actc4 kernel: Intel 810 + AC97 Audio, version 0.21, 07:16:09 Feb
26 2002
Apr 13 10:00:00 actc4 insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/i810_audio.o: init_module: No such
device
Apr 13 10:00:00 actc4 insmod: Hint: insmod errors can be caused by incorrect
module parameters, including invalid IO or IRQ parameters
Apr 13 10:00:00 actc4 insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/i810_audio.o: insmod sound-slot-0
failed
Apr 13 10:00:00 actc4 modprobe: modprobe: Can't locate module sound-service-0-3
Apr 13 10:02:29 actc4 kernel: Intel 810 + AC97 Audio, version 0.21, 07:16:09 Feb
26 2002
Apr 13 10:02:29 actc4 insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/i810_audio.o: init_module: No such
device
Apr 13 10:02:29 actc4 insmod: Hint: insmod errors can be caused by incorrect
module parameters, including invalid IO or IRQ parameters
Apr 13 10:02:29 actc4 insmod:
/lib/modules/2.4.9-31/kernel/drivers/sound/i810_audio.o: insmod sound-slot-0
failed
Apr 13 10:02:29 actc4 modprobe: modprobe: Can't locate module sound-service-0-3
Apr 13 10:30:47 actc4 kernel: Out of Memory: Killed process 1245 (httpd).
Apr 13 10:30:47 actc4 kernel: Out of Memory: Killed process 1246 (httpd).



---------------------------
Here's the top output (sorted):
  2:34pm  up 16 min,  6 users,  load average: 1.35, 1.30,
0.86                                                                      101
processes: 99 sleeping, 2 running, 0 zombie, 0 stopped
CPU states:  6.4% user,  6.0% system,  0.0% nice, 87.5% idle
Mem:   253872K av,  233060K used,   20812K free,      64K shrd,   29132K buff
Swap:  521976K av,       0K used,  521976K free                  105552K cached

  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME COMMAND
 1685 root       9   0 15320  14M  8812 S     0.0  5.9   0:05 netscape-commun
 1832 root       9   0 13624  13M 11180 S     0.1  5.3   0:01 kmail
 1568 root       9  -1 78600  12M  1796 R <   2.3  4.8   0:06 X
 1696 root       9   0 10660  10M  9152 S     3.5  4.1   0:01 kdeinit
 1693 root       9   0  9952 9952  8988 S     0.1  3.9   0:01 kdeinit
 1706 root       9   0  9328 9328  8020 S     1.1  3.6   0:00 kdeinit
 1708 root       9   0  8888 8888  7972 S     0.0  3.5   0:00 kdeinit
 1707 root       9   0  8848 8848  7980 S     0.1  3.4   0:00 kdeinit
 1710 root       9   0  8836 8836  7972 S     0.0  3.4   0:00 kdeinit
 1684 root       9   0  8336 8336  7536 S     0.1  3.2   0:00 kdeinit
 1682 root       9   0  8228 8228  7572 S     0.0  3.2   0:00 kdeinit
 1703 root       9   0  8080 8080  7456 S     0.0  3.1   0:00 kdeinit
 1658 root       9   0  7940 7940  7304 S     0.0  3.1   0:00 kdeinit
 1713 root       9   0  7856 7848  6820 S     0.1  3.0   0:00 alarmd
 1834 root       9   0  7132 7132  6676 S     0.0  2.8   0:00 kdeinit
 1705 root       9   0  7080 7080  6600 S     0.0  2.7   0:00 kdeinit
 1265 apache     9   0  7008 7008  6844 S     0.0  2.7   0:00 httpd
 1266 apache     9   0  7008 7008  6844 S     0.0  2.7   0:00 httpd
 1267 apache     9   0  7008 7008  6844 S     0.0  2.7   0:00 httpd
 1268 apache     9   0  7008 7008  6844 S     0.0  2.7   0:00 httpd
 1269 apache     9   0  7008 7008  6844 S     0.0  2.7   0:00 httpd
 1270 apache     9   0  7008 7008  6844 S     0.0  2.7   0:00 httpd
 1271 apache     9   0  7008 7008  6844 S     0.0  2.7   0:00 httpd
 1272 apache     9   0  7008 7008  6844 S     0.0  2.7   0:00 httpd
 1246 root       9   0  6972 6972  6800 S     0.0  2.7   0:00 httpd
 1655 root       8   0  6484 6484  6176 S     0.0  2.5   0:00 kdeinit
 1652 root       8   0  5260 5260  5032 S     0.0  2.0   0:00 kdeinit
 1649 root       8   0  5112 5112  4964 S     0.0  2.0   0:00 kdeinit
 1683 root       9   0  5040 5036  4320 S     0.0  1.9   0:00 ksmserver
 1184 mysql      9   0  4364 4364  1692 S     0.0  1.7   0:00 mysqld
 1187 mysql      9   0  4364 4364  1692 S     0.0  1.7   0:00 mysqld
 1188 mysql      9   0  4364 4364  1692 S     0.0  1.7   0:00 mysqld
 1202 mysql      9   0  4364 4364  1692 S     0.0  1.7   0:00 mysqld
 1324 xfs        9   0  4036 4036  1032 S     0.0  1.5   0:00 xfs
 1066 named      9   0  4028 4028  2240 S     0.0  1.5   0:00 named
 1068 named      9   0  4028 4028  2240 S     0.0  1.5   0:00 named
 1069 named      9   0  4028 4028  2240 S     0.0  1.5   0:00 named
 1070 named      9   0  4028 4028  2240 S     0.0  1.5   0:00 named
 1071 named      9   0  4028 4028  2240 S     0.0  1.5   0:00 named
 1694 root       8   0  3828 3752  3272 S     0.0  1.4 0:00 netscape-commun
 1676 root       9   0  3408 3404  2784 S     0.0  1.3   0:00 artsd
 1836 ellirj     9   0  2308 2308  1884 S     0.0  0.9   0:00 imapd
 1204 root       8   0  1964 1964  1404 S     0.0  0.7   0:00 sendmail
 1720 root       9   0  1364 1364  1044 S     0.0  0.5   0:00 bash
 1714 root       8   0  1360 1360  1040 S     0.0  0.5   0:00 bash
 1716 root       8   0  1360 1360  1040 S     0.0  0.5   0:00 bash
 1719 root       8   0  1360 1360  1040 S     0.0  0.5   0:00 bash
 1375 root       9   0  1348 1348  1004 S     0.0  0.5   0:00 bash
 1091 root       9   0  1256 1256  1060 S     0.0  0.4   0:00 sshd
  992 root       9   0  1204 1204   460 S     0.0  0.4   0:00 klogd
 1367 root       9   0  1116 1116   880 S     0.0  0.4   0:00 login
 1838 root      14   0  1096 1096   848 R     1.5  0.4   0:00 top
 1576 root       9   0  1052 1052   876 S     0.0  0.4   0:00 startkde
 1144 root       9   0  1028 1028   852 S     0.0  0.4   0:00 safe_mysqld
 1560 root       9   0   980  980   832 S     0.0  0.3   0:00 startx
 1111 root       9   0   988  972   780 S     0.0  0.3   0:00 xinetd
 1567 root       9   0   692  692   592 S     0.0  0.2   0:00 xinit
 1264 root       8   0   684  684   584 S     0.0  0.2   0:00 crond
  987 root       9   0   628  628   528 S     0.0  0.2   0:00 syslogd
 1360 daemon     9   0   572  572   496 S     0.0  0.2   0:00 atd
    1 root       8   0   532  532   464 S     0.0  0.2   0:06 init
 1709 root       8   0   516  516   436 S     0.0  0.2   0:00 cat
 1223 root       9   0   500  500   432 S     0.0  0.1   0:00 gpm
 1368 root       9   0   416  416   352 S     0.0  0.1   0:00 mingetty
 1369 root       9   0   416  416   352 S     0.0  0.1   0:00 mingetty
 1370 root       9   0   416  416   352 S     0.0  0.1   0:00 mingetty
 1371 root       9   0   416  416   352 S     0.0  0.1   0:00 mingetty
 1372 root       9   0   416  416   352 S     0.0  0.1   0:00 mingetty
    2 root       9   0     0    0     0 SW    0.0  0.0   0:00 keventd
    3 root       9   0     0    0     0 SW    0.0  0.0   0:00 kapm-idled
    4 root      19  19     0    0     0 SWN   0.0  0.0   0:00 ksoftirqd_CPU0
    5 root       9   0     0    0     0 SW    0.0  0.0   0:00 kswapd
    6 root       9   0     0    0     0 SW    0.0  0.0   0:00 kreclaimd
    7 root       9   0     0    0     0 SW    0.0  0.0   0:00 bdflush
    8 root       9   0     0    0     0 SW    0.0  0.0   0:00 kupdated
    9 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 mdrecoveryd
   14 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1d
   15 root      19  19     0    0     0 SWN   0.0  0.0   0:00 raid1syncd
   16 root      -1 -20     0    0     0 SW<   0.3  0.0   0:09 raid1d
   17 root      19  19     0    0     0 DWN   0.9  0.0   0:08 raid1syncd
   18 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1d
   19 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1syncd
   20root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1d
   21 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1syncd
   22 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1d
   23 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1syncd
   24 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1d
   25 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1syncd
   26 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1d
   27 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1syncd


Here's a sample of top a while later:

  2:44pm  up 26 min,  6 users,  load average: 1.28, 1.19,
0.99                                                                      103
processes: 102 sleeping, 1 running, 0 zombie, 0 stopped
CPU states:  0.9% user,  6.7% system,  0.0% nice, 92.3% idle
Mem:   253872K av,  250812K used,    3060K free,      64K shrd,   28260K buff
Swap:  521976K av,    2124K used,  519852K free                   99944K cached

  PID USER     PRI  NI  SIZE  RSS SHARE STAT %CPU %MEM   TIME COMMAND
 1685 root       9   0 37204  36M  8860 S     0.0 14.5   0:10 netscape-commun
 1832 root       9   0 13628  13M 11184 S     0.0  5.3   0:01 kmail
 1568 root       9  -1 78796  12M  1804 S <   0.0  4.9   0:11 X
 1696 root       9   0 10752  10M  9240 S     0.0  4.2   0:02 kdeinit
 1693 root       9   0  9960 9940  8976 S     0.0  3.9   0:01 kdeinit
 1706 root       9   0  9436 9432  8048 S     0.3  3.7   0:01 kdeinit
 1707 root       9   0  9176 9172  8040 S     0.0  3.6   0:01 kdeinit
 1708 root       9   0  8888 8884  7968 S     0.0  3.4   0:00 kdeinit
 1710 root       9   0  8836 8792  7928 S     0.0  3.4   0:00 kdeinit
 1682 root       9   0  8348 8324  7656 S     0.0  3.2   0:00 kdeinit
 1684 root       9   0  8336 8312  7512 S     0.0  3.2   0:01 kdeinit
 1703 root       9   0  8156 8152  7452 S     0.0  3.2   0:00 kdeinit
 1658 root       9   0  7940 7876  7240 S     0.0  3.1   0:00 kdeinit
 1713 root       9   0  7856 7848  6820 S     0.0  3.0   0:00 alarmd
 1834 root       9   0  7132 7132  6676 S     0.0  2.8   0:00 kdeinit
 1705 root       9   0  7080 7076  6596 S     0.0  2.7   0:00 kdeinit
 1266 apache     9   0  7000 7000  6836 S     0.0  2.7   0:00 httpd
 1267 apache     9   0  7000 7000  6836 S     0.0  2.7   0:00 httpd
 1270 apache     9   0  7000 7000  6836 S     0.0  2.7   0:00 httpd
 1271 apache     9   0  7000 7000  6836 S     0.0  2.7   0:00 httpd
 1272 apache     9   0  7000 7000  6836 S     0.0  2.7   0:00 httpd
 1268 apache     9   0  7000 6992  6828 S     0.0  2.7   0:00 httpd
 1246 root       9   0  6964 6964  6792 S     0.0  2.7   0:00 httpd
 1269 apache     9   0  7000 6776  6612 S     0.0  2.6   0:00 httpd
 1655 root       8   0  6484 6472  6164 S     0.0  2.5   0:00 kdeinit
 1265 apache     9   0  7000 5324  5160 S     0.0  2.0   0:00 httpd
 1652 root       9   0  5260 5260  5032 S     0.0  2.0   0:00 kdeinit
 1649 root       8   0  5116 5112  4964 S     0.0  2.0   0:00 kdeinit
 1683 root       9   0  5040 5036  4320 S     0.0  1.9   0:00 ksmserver
 1184 mysql      9   0  4364 4364  1692 S     0.0  1.7   0:00 mysqld
 1187 mysql      9   0  4364 4364  1692 S     0.0  1.7   0:00 mysqld
 1188 mysql      9   0  4364 4364  1692 S     0.0  1.7   0:00 mysqld
 1202 mysql      9   0  4364 4364  1692 S     0.0  1.7   0:00 mysqld
 1066 named      9   0  4288 4288  2244 S     0.0  1.6   0:00 named
 1068 named      9   0  4288 4288  2244 S     0.0  1.6   0:00 named
 1069 named      9   0  4288 4288  2244 S     0.0  1.6   0:01 named
 1070 named      9   0  4288 4288  2244 S     0.0  1.6   0:00 named
 1071 named      9   0  4288 4288  2244 S     0.0  1.6   0:00 named
 1324 xfs        9   0  4036 4036  1032 S     0.0  1.5   0:00 xfs
 1694 root       8   0  3828 3752  3272 S     0.0  1.4   0:00 netscape-commun
 1676 root       9   0  3480 3476  2856 S     0.0  1.3   0:00 artsd
 1882 root       9   0  3316 3316   880 S     0.0  1.3   0:00 vi
 1836 ellirj     9   0  2308 2308  1884 S     0.0  0.9   0:00 imapd
 1204 root       8   0  1964 1964  1404 S     0.0  0.7   0:00 sendmail
 1896 actc       9   0  1832 1828  1520 S     0.0  0.7   0:00 ipop3d
 1720 root       9   0  1376 1376  1044 S     0.0  0.5   0:00 bash
 1719 root       9   0  1364 1364  1044 S     0.0  0.5   0:00 bash
 1714 root       8   0  1360 1360  1040 S     0.0  0.5   0:00 bash
 1716 root       8   0  1360 1360  1040 S     0.0  0.5   0:00 bash
 1375 root       9   0  1348 1348  1004 S     0.0  0.5   0:00 bash
 1091 root       9   0  1256 1256  1060 S     0.0  0.4   0:00 sshd
  992 root       9   0  1204 1204   460 S     0.0  0.4   0:00 klogd
 1367 root       9   0  1116 1116   880 S     0.0  0.4   0:00 login
 1897 root      14   0  1104 1104   848 R     0.9  0.4   0:00 top
 1576 root       9   0  1052 1052   876 S     0.0  0.4   0:00 startkde
 1144 root       9   0  1028 1028   852 S     0.0  0.4   0:00 safe_mysqld
 1560 root       9   0   980  980   832 S     0.0  0.3   0:00 startx
 1111 root       9   0   988  972   780 S     0.0  0.3   0:00 xinetd
 1567 root       9   0   692  692   592 S     0.0  0.2   0:00 xinit
 1264 root       8   0   684  684   584 S     0.0  0.2   0:00 crond
  987 root       9   0   628  628   528 S     0.0  0.2   0:00 syslogd
 1360 daemon     9   0   572  572   496 S     0.0  0.2   0:00 atd
    1 root       9   0   532  532   464 S     0.0  0.2   0:06 init
 1709 root       8   0   516  516   436 S     0.0  0.2   0:00 cat
 1223 root       9   0   500  500   432 S     0.0  0.1   0:00 gpm
 1368 root       9   0   416  416   352 S     0.0  0.1   0:00 mingetty
 1369 root       9   0   416  416   352 S     0.0  0.1   0:00 mingetty
 1370 root       9   0   416  416   352 S     0.0  0.1   0:00 mingetty
 1371 root       9   0   416  416   352 S     0.0  0.1   0:00 mingetty
 1372 root       9   0   416  416   352 S     0.0  0.1   0:00 mingetty
    2 root       9   0     0    0     0 SW    0.0  0.0   0:00 keventd
    3 root       9   0     0    0     0 SW    0.0  0.0   0:00 kapm-idled
    4 root      19  19     0    0     0 SWN   0.0  0.0   0:00 ksoftirqd_CPU0
    5 root       9   0     0    0     0 SW    0.0  0.0   0:00 kswapd
    6 root       9   0     0    0     0 SW    0.0  0.0   0:00 kreclaimd
    7 root       9   0     0    0     0 SW    0.0  0.0   0:00 bdflush
    8 root       9   0     0    0     0 SW    0.0  0.0   0:00 kupdated
    9 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 mdrecoveryd
   14 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1d
   15 root      19  19     0    0     0 SWN   0.0  0.0   0:00 raid1syncd
   16 root      -1 -20     0    0     0 SW<   0.0  0.0   0:15 raid1d
   17 root      19  19     0    0     0 SWN   0.0  0.0   0:14 raid1syncd
   18 root      -1 -20     0    0     0 SW<   1.1  0.0   0:00 raid1d
   19 root      19  19     0    0     0 DWN   1.5  0.0   0:00 raid1syncd
   20 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1d
   21 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1syncd
   22 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1d
   23 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1syncd
   24 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1d
   25 root      -1 -20     0    0     0 SW<   0.0  0.0   0:00 raid1syncd
Comment 4 Need Real Name 2002-06-24 08:51:28 EDT
IN reference to this Bug Report, as well as 56220 and 59808, the above issues 
occur in kernel version 2.4.9-34 as well.
RH - CAN YOU PLEASE FIX THIS ISSUE! Your servers are unstable with the kernels 
mentioned in the above and in this comment!
Comment 5 Randy Ellis 2002-06-24 11:17:57 EDT
The problem is real and serious.  It isn't related to X since I can reproduce
the problem without X running.

I've come to the conclusion that the problem is related my HW configuration and 
is caused by the ext3 file system and possibly worsened when imap and pop
access ident.  When I disabled ext3 and ident for imap and pop, I found that 
the leak stopped and the system would stay up for days.  However, I still
experience 2-4 hangs a day when ssh and imap are active.  I haven't
tried to analyze the cause of these hangs because I'm just disgusted.

I figured that since other RH users are not experiencing this problem, I must
be related to my specific HW.

I could not continue to live like this so I've tossed out the
Intel MB and Celeron 766.  

I built a Intel P4 1.5GHz on a IMS MB using a different NIC, Sound and Video.  
I installed the HD and rebooted.  Kudzu reconfigured everything very nicely.  
Upon getting into KDE it hung (with a pop from the speaker).  I rebooted to 
BIOS, disabled the on board audio, and the system has only hung once
since comissioning.

I'm very happy with the new HW and RH running on it.  The system is stable.



I have RH 7.1 with updates working working fine now (no audio).
I still think that RH 7.x has trouble with sound...

I don't care about this bug anymore.  I'm sorry for other people having
similar troubles.  I suggest that they avoid Intel motherboards.

Comment 6 Greg Bridges 2002-06-26 15:04:26 EDT
This also happens under kernel 2.4.18-5 under RH7.3 . I can start my machine in
single-user mode and stop just about all processes and the memory slowly leaks
away. You see the 8k go away (in top) an instant after you see kjournald hit
your disk drive.

When I reverted to ext2 filesystems, the problem went away. I've got access to
ten or so machines running 7.2 and 7.3 with various kernel versions, and they
all have this problem until I revert them back to ext2.
Comment 7 Bugzilla owner 2004-09-30 11:39:27 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.